---


- name: Prerequisites
  ansible.builtin.include_tasks:
    file: prerequisites.yml
    apply:
      tags:
        - gitlab_runner_prerequisites
  tags: gitlab_runner_prerequisites

- name: Install gitlab-runner for current OS
  ansible.builtin.include_tasks:
    file: "install-{{ ansible_distribution | lower }}.yml"
    apply:
      tags:
        - gitlab_runner_install
  tags:
    - gitlab_runner_install

- name: Unreigister all runners and delete config
  ansible.builtin.command: >-
      gitlab-runner unregister
      --all-runners
  register: output
  changed_when: output.rc == 0
  failed_when: output.rc != 0
  tags:
    - gitlab_runner_unregister

- name: Setup runners
  ansible.builtin.include_tasks:
    file: setup_runner.yml
    apply:
      tags: gitlab_runner_setup
  loop: "{{ gitlab_runner_info }}"
  loop_control:
    loop_var: "reg_info"
    label: "{{ reg_info.default.name }}"
  tags: gitlab_runner_setup
